
!TestSuite methodsFor: '*tode-testcase' stamp: 'DataCurator 09/15/2011 19:36'!
renderViewContentOn: html spec: aSpec main: main
	(self isKindOf: TestSuite)
		ifFalse: [ ^ super renderViewContentOn: html spec: aSpec main: main ].
	self tests
		do: [ :testCase | 
			html checkbox value: testCase name.
			(html anchor)
				url: '#';
				onClick:
						(html jQuery ajax
								script: [ :s | 
									main currentSession push: testCase selecting: #view.
									main updateCenterSideHistory: s ]);
				with: testCase name.
			html break ]! !

!MBInfo methodsFor: '*tode-testcase' stamp: 'DataCurator 09/16/2011 13:38'!
renderTestsContentOn: html spec: aSpec main: main
	| classList abstractList order classes indents displayString |
	classList := self testCaseClasses.
	abstractList := classList select: [ :each | each isAbstract ].
	classList isEmpty
		ifTrue: [ ^ self ].
	order := SortedCollection
		sortBlock: [ :assoc1 :assoc2 | 
			| result chain1 chain2 max i |
			result := nil.
			chain1 := assoc1 key.
			chain2 := assoc2 key.
			max := chain1 size min: chain2 size.
			i := 1.
			[ result isNil and: [ i <= max ] ]
				whileTrue: [ 
					(chain1 at: i) = (chain2 at: i)
						ifTrue: [ i := i + 1 ]
						ifFalse: [ result := (chain1 at: i) name < (chain2 at: i) name ] ].
			result isNil
				ifTrue: [ chain1 size < chain2 size ]
				ifFalse: [ result ] ].
	classes := classList.
	classes
		do: [ :cl | 
			| supersChain |
			supersChain := cl withAllSuperclasses reversed.
			supersChain removeAllSuchThat: [ :class | (classes includes: class) not ].
			order add: supersChain contents -> cl ].
	indents := IdentityDictionary new.
	order do: [ :assoc | indents at: assoc value put: assoc key size - 1 ].
	classes := classes asArray sorted: [ :a :b | a name <= b name ].
html text: 'Administracin'.
	order
		do: [ :assoc | 
			| cl |
			cl := assoc value.
			(indents at: cl) * 2 timesRepeat: [ html space ].
			(html checkbox)
				value:
						((abstractList includes: cl)
								ifTrue: [ nil ]
								ifFalse: [ cl name ]).
			(html anchor)
				url: '#';
				onClick:
						(html jQuery ajax
								script: [ :s | 
									main currentSession push: cl buildSuite selecting: #view.
									main updateCenterSideHistory: s ]);
				with: [ 
							(abstractList includes: cl)
								ifTrue: [ html text: cl name ]
								ifFalse: [ html strong: cl name ] ].
			html break ]! !

!MBInfo methodsFor: '*tode-testcase' stamp: 'DataCurator 09/15/2011 17:59'!
testCaseClasses
	^ #()! !

!MBPackageInfo methodsFor: '*tode-testcase' stamp: 'DataCurator 09/15/2011 17:59'!
testCaseClasses
	self workingCopy ifNil: [ ^ #() ].
	^ self workingCopy packageInfo classes select: [ :each | each inheritsFrom: TestCase ]! !

!MBPackageInfo methodsFor: '*tode-testcase' stamp: 'DataCurator 09/15/2011 17:48'!
tODETestTabSpec
	<tODECenterTabSpec>
	^ (TOTabSpec new)
		id: #tests;
		receiver: self;
		label: 'tests';
		order: 85;
		group: 'development';
		renderSelector: #renderTestsContentOn:spec:main:! !

!TestCase methodsFor: '*tode-testcase' stamp: 'DataCurator 09/15/2011 19:41'!
renderViewContentOn: html spec: aSpec main: main
	(self isKindOf: TestCase)
		ifFalse: [ ^ super renderViewContentOn: html spec: aSpec main: main ].
	self class buildSuite tests
		do: [ :testCase | 
			self selector == testCase selector
				ifTrue: [ html checkbox value: testCase name ]
				ifFalse: [ html checkbox value: nil ].
			(html anchor)
				url: '#';
				onClick:
						(html jQuery ajax
								script: [ :s | 
									main currentSession push: testCase selecting: #view.
									main updateCenterSideHistory: s ]);
				with: testCase name.
			html break ]! !

!MBConfigurationInfo methodsFor: '*tode-testcase' stamp: 'DataCurator 09/15/2011 17:53'!
testCaseClasses
	| cv |
	(cv := self currentVersion) ifNil: [ ^ self ].
	^ cv currentlyLoadedClassesInVersion select: [ :each | each inheritsFrom: TestCase ]! !

!MBConfigurationInfo methodsFor: '*tode-testcase' stamp: 'DataCurator 09/15/2011 17:49'!
tODETestTabSpec
	<tODECenterTabSpec>
	^ (TOTabSpec new)
		id: #tests;
		receiver: self;
		label: 'tests';
		order: 85;
		group: 'development';
		renderSelector: #renderTestsContentOn:spec:main:! !
